// This file is part of the SV-Benchmarks collection of verification tasks:
// https://gitlab.com/sosy-lab/benchmarking/sv-benchmarks
//
// SPDX-FileCopyrightText: 2023 Levente Bajczi, Department of Measurement and Information Systems, Budapest University of Technology and Economics
//
// SPDX-License-Identifier: Apache-2.0

// Original CHC file: vmt-chc-benchmarks/vmt-PRODUCER_CONSUMER_1_000.smt2
extern void abort ();
extern int __VERIFIER_nondet_int ();
extern _Bool __VERIFIER_nondet__Bool ();
extern void __assert_fail(const char *, const char *, unsigned int, const char *) __attribute__ ((__nothrow__ , __leaf__)) __attribute__ ((__noreturn__));
void reach_error() { __assert_fail("0", "vmt-PRODUCER_CONSUMER_1_000_range.c", 13, "reach_error"); }



int main ();

int
main ()
{
    // return parameter


    // variables
    int state_0;
    int state_1;
    int state_2;
    int state_3;
    _Bool state_4;
    _Bool state_5;
    int state_6;
    int state_7;
    int state_8;
    int state_9;
    int state_10;
    int state_11;
    int state_12;
    int state_13;
    int state_14;
    int state_15;
    int state_16;
    int state_17;
    _Bool state_18;
    int state_19;
    int state_20;
    int state_21;
    _Bool state_22;
    _Bool state_23;
    _Bool state_24;
    int state_25;
    int state_26;
    int state_27;
    int state_28;
    int state_29;
    _Bool state_30;
    int state_31;
    _Bool state_32;
    int state_33;
    int state_34;
    int state_35;
    int state_36;
    int state_37;
    int state_38;
    _Bool state_39;
    _Bool state_40;
    _Bool state_41;
    int A_0;
    _Bool B_0;
    _Bool C_0;
    _Bool D_0;
    _Bool E_0;
    _Bool F_0;
    int G_0;
    int H_0;
    int I_0;
    int J_0;
    int K_0;
    int L_0;
    int M_0;
    int N_0;
    int O_0;
    int P_0;
    int Q_0;
    _Bool R_0;
    int S_0;
    int T_0;
    _Bool U_0;
    _Bool V_0;
    int W_0;
    int X_0;
    int Y_0;
    int Z_0;
    int A1_0;
    int B1_0;
    int C1_0;
    _Bool D1_0;
    int E1_0;
    int F1_0;
    int G1_0;
    int H1_0;
    int I1_0;
    int J1_0;
    int K1_0;
    int L1_0;
    int M1_0;
    _Bool N1_0;
    _Bool O1_0;
    int P1_0;
    int A_1;
    _Bool B_1;
    _Bool C_1;
    _Bool D_1;
    _Bool E_1;
    int F_1;
    _Bool G_1;
    int H_1;
    int I_1;
    int J_1;
    int K_1;
    int L_1;
    int M_1;
    int N_1;
    int O_1;
    int P_1;
    int Q_1;
    int R_1;
    _Bool S_1;
    int T_1;
    int U_1;
    _Bool V_1;
    _Bool W_1;
    int X_1;
    int Y_1;
    int Z_1;
    int A1_1;
    int B1_1;
    int C1_1;
    int D1_1;
    _Bool E1_1;
    int F1_1;
    int G1_1;
    int H1_1;
    int I1_1;
    int J1_1;
    int K1_1;
    int L1_1;
    int M1_1;
    _Bool N1_1;
    int O1_1;
    _Bool P1_1;
    int Q1_1;
    _Bool R1_1;
    int S1_1;
    int T1_1;
    _Bool U1_1;
    int V1_1;
    _Bool W1_1;
    int X1_1;
    int Y1_1;
    _Bool Z1_1;
    int A2_1;
    _Bool B2_1;
    int C2_1;
    int D2_1;
    int E2_1;
    int F2_1;
    int G2_1;
    int H2_1;
    int I2_1;
    int J2_1;
    _Bool K2_1;
    int L2_1;
    int M2_1;
    _Bool N2_1;
    _Bool O2_1;
    int P2_1;
    int Q2_1;
    int R2_1;
    int S2_1;
    int T2_1;
    int U2_1;
    int V2_1;
    int W2_1;
    _Bool X2_1;
    int Y2_1;
    int Z2_1;
    int A3_1;
    int B3_1;
    int C3_1;
    _Bool D3_1;
    _Bool E3_1;
    int F3_1;
    int A_2;
    _Bool B_2;
    _Bool C_2;
    _Bool D_2;
    _Bool E_2;
    _Bool F_2;
    int G_2;
    int H_2;
    int I_2;
    int J_2;
    int K_2;
    int L_2;
    int M_2;
    int N_2;
    int O_2;
    int P_2;
    int Q_2;
    _Bool R_2;
    int S_2;
    int T_2;
    _Bool U_2;
    _Bool V_2;
    int W_2;
    int X_2;
    int Y_2;
    int Z_2;
    int A1_2;
    int B1_2;
    int C1_2;
    _Bool D1_2;
    int E1_2;
    int F1_2;
    int G1_2;
    int H1_2;
    int I1_2;
    int J1_2;
    int K1_2;
    int L1_2;
    int M1_2;
    _Bool N1_2;
    _Bool O1_2;
    int P1_2;

    if (((state_0 <= -1000000000) || (state_0 >= 1000000000))
        || ((state_1 <= -1000000000) || (state_1 >= 1000000000))
        || ((state_2 <= -1000000000) || (state_2 >= 1000000000))
        || ((state_3 <= -1000000000) || (state_3 >= 1000000000))
        || ((state_6 <= -1000000000) || (state_6 >= 1000000000))
        || ((state_7 <= -1000000000) || (state_7 >= 1000000000))
        || ((state_8 <= -1000000000) || (state_8 >= 1000000000))
        || ((state_9 <= -1000000000) || (state_9 >= 1000000000))
        || ((state_10 <= -1000000000) || (state_10 >= 1000000000))
        || ((state_11 <= -1000000000) || (state_11 >= 1000000000))
        || ((state_12 <= -1000000000) || (state_12 >= 1000000000))
        || ((state_13 <= -1000000000) || (state_13 >= 1000000000))
        || ((state_14 <= -1000000000) || (state_14 >= 1000000000))
        || ((state_15 <= -1000000000) || (state_15 >= 1000000000))
        || ((state_16 <= -1000000000) || (state_16 >= 1000000000))
        || ((state_17 <= -1000000000) || (state_17 >= 1000000000))
        || ((state_19 <= -1000000000) || (state_19 >= 1000000000))
        || ((state_20 <= -1000000000) || (state_20 >= 1000000000))
        || ((state_21 <= -1000000000) || (state_21 >= 1000000000))
        || ((state_25 <= -1000000000) || (state_25 >= 1000000000))
        || ((state_26 <= -1000000000) || (state_26 >= 1000000000))
        || ((state_27 <= -1000000000) || (state_27 >= 1000000000))
        || ((state_28 <= -1000000000) || (state_28 >= 1000000000))
        || ((state_29 <= -1000000000) || (state_29 >= 1000000000))
        || ((state_31 <= -1000000000) || (state_31 >= 1000000000))
        || ((state_33 <= -1000000000) || (state_33 >= 1000000000))
        || ((state_34 <= -1000000000) || (state_34 >= 1000000000))
        || ((state_35 <= -1000000000) || (state_35 >= 1000000000))
        || ((state_36 <= -1000000000) || (state_36 >= 1000000000))
        || ((state_37 <= -1000000000) || (state_37 >= 1000000000))
        || ((state_38 <= -1000000000) || (state_38 >= 1000000000))
        || ((A_0 <= -1000000000) || (A_0 >= 1000000000))
        || ((G_0 <= -1000000000) || (G_0 >= 1000000000))
        || ((H_0 <= -1000000000) || (H_0 >= 1000000000))
        || ((I_0 <= -1000000000) || (I_0 >= 1000000000))
        || ((J_0 <= -1000000000) || (J_0 >= 1000000000))
        || ((K_0 <= -1000000000) || (K_0 >= 1000000000))
        || ((L_0 <= -1000000000) || (L_0 >= 1000000000))
        || ((M_0 <= -1000000000) || (M_0 >= 1000000000))
        || ((N_0 <= -1000000000) || (N_0 >= 1000000000))
        || ((O_0 <= -1000000000) || (O_0 >= 1000000000))
        || ((P_0 <= -1000000000) || (P_0 >= 1000000000))
        || ((Q_0 <= -1000000000) || (Q_0 >= 1000000000))
        || ((S_0 <= -1000000000) || (S_0 >= 1000000000))
        || ((T_0 <= -1000000000) || (T_0 >= 1000000000))
        || ((W_0 <= -1000000000) || (W_0 >= 1000000000))
        || ((X_0 <= -1000000000) || (X_0 >= 1000000000))
        || ((Y_0 <= -1000000000) || (Y_0 >= 1000000000))
        || ((Z_0 <= -1000000000) || (Z_0 >= 1000000000))
        || ((A1_0 <= -1000000000) || (A1_0 >= 1000000000))
        || ((B1_0 <= -1000000000) || (B1_0 >= 1000000000))
        || ((C1_0 <= -1000000000) || (C1_0 >= 1000000000))
        || ((E1_0 <= -1000000000) || (E1_0 >= 1000000000))
        || ((F1_0 <= -1000000000) || (F1_0 >= 1000000000))
        || ((G1_0 <= -1000000000) || (G1_0 >= 1000000000))
        || ((H1_0 <= -1000000000) || (H1_0 >= 1000000000))
        || ((I1_0 <= -1000000000) || (I1_0 >= 1000000000))
        || ((J1_0 <= -1000000000) || (J1_0 >= 1000000000))
        || ((K1_0 <= -1000000000) || (K1_0 >= 1000000000))
        || ((L1_0 <= -1000000000) || (L1_0 >= 1000000000))
        || ((M1_0 <= -1000000000) || (M1_0 >= 1000000000))
        || ((P1_0 <= -1000000000) || (P1_0 >= 1000000000))
        || ((A_1 <= -1000000000) || (A_1 >= 1000000000))
        || ((F_1 <= -1000000000) || (F_1 >= 1000000000))
        || ((H_1 <= -1000000000) || (H_1 >= 1000000000))
        || ((I_1 <= -1000000000) || (I_1 >= 1000000000))
        || ((J_1 <= -1000000000) || (J_1 >= 1000000000))
        || ((K_1 <= -1000000000) || (K_1 >= 1000000000))
        || ((L_1 <= -1000000000) || (L_1 >= 1000000000))
        || ((M_1 <= -1000000000) || (M_1 >= 1000000000))
        || ((N_1 <= -1000000000) || (N_1 >= 1000000000))
        || ((O_1 <= -1000000000) || (O_1 >= 1000000000))
        || ((P_1 <= -1000000000) || (P_1 >= 1000000000))
        || ((Q_1 <= -1000000000) || (Q_1 >= 1000000000))
        || ((R_1 <= -1000000000) || (R_1 >= 1000000000))
        || ((T_1 <= -1000000000) || (T_1 >= 1000000000))
        || ((U_1 <= -1000000000) || (U_1 >= 1000000000))
        || ((X_1 <= -1000000000) || (X_1 >= 1000000000))
        || ((Y_1 <= -1000000000) || (Y_1 >= 1000000000))
        || ((Z_1 <= -1000000000) || (Z_1 >= 1000000000))
        || ((A1_1 <= -1000000000) || (A1_1 >= 1000000000))
        || ((B1_1 <= -1000000000) || (B1_1 >= 1000000000))
        || ((C1_1 <= -1000000000) || (C1_1 >= 1000000000))
        || ((D1_1 <= -1000000000) || (D1_1 >= 1000000000))
        || ((F1_1 <= -1000000000) || (F1_1 >= 1000000000))
        || ((G1_1 <= -1000000000) || (G1_1 >= 1000000000))
        || ((H1_1 <= -1000000000) || (H1_1 >= 1000000000))
        || ((I1_1 <= -1000000000) || (I1_1 >= 1000000000))
        || ((J1_1 <= -1000000000) || (J1_1 >= 1000000000))
        || ((K1_1 <= -1000000000) || (K1_1 >= 1000000000))
        || ((L1_1 <= -1000000000) || (L1_1 >= 1000000000))
        || ((M1_1 <= -1000000000) || (M1_1 >= 1000000000))
        || ((O1_1 <= -1000000000) || (O1_1 >= 1000000000))
        || ((Q1_1 <= -1000000000) || (Q1_1 >= 1000000000))
        || ((S1_1 <= -1000000000) || (S1_1 >= 1000000000))
        || ((T1_1 <= -1000000000) || (T1_1 >= 1000000000))
        || ((V1_1 <= -1000000000) || (V1_1 >= 1000000000))
        || ((X1_1 <= -1000000000) || (X1_1 >= 1000000000))
        || ((Y1_1 <= -1000000000) || (Y1_1 >= 1000000000))
        || ((A2_1 <= -1000000000) || (A2_1 >= 1000000000))
        || ((C2_1 <= -1000000000) || (C2_1 >= 1000000000))
        || ((D2_1 <= -1000000000) || (D2_1 >= 1000000000))
        || ((E2_1 <= -1000000000) || (E2_1 >= 1000000000))
        || ((F2_1 <= -1000000000) || (F2_1 >= 1000000000))
        || ((G2_1 <= -1000000000) || (G2_1 >= 1000000000))
        || ((H2_1 <= -1000000000) || (H2_1 >= 1000000000))
        || ((I2_1 <= -1000000000) || (I2_1 >= 1000000000))
        || ((J2_1 <= -1000000000) || (J2_1 >= 1000000000))
        || ((L2_1 <= -1000000000) || (L2_1 >= 1000000000))
        || ((M2_1 <= -1000000000) || (M2_1 >= 1000000000))
        || ((P2_1 <= -1000000000) || (P2_1 >= 1000000000))
        || ((Q2_1 <= -1000000000) || (Q2_1 >= 1000000000))
        || ((R2_1 <= -1000000000) || (R2_1 >= 1000000000))
        || ((S2_1 <= -1000000000) || (S2_1 >= 1000000000))
        || ((T2_1 <= -1000000000) || (T2_1 >= 1000000000))
        || ((U2_1 <= -1000000000) || (U2_1 >= 1000000000))
        || ((V2_1 <= -1000000000) || (V2_1 >= 1000000000))
        || ((W2_1 <= -1000000000) || (W2_1 >= 1000000000))
        || ((Y2_1 <= -1000000000) || (Y2_1 >= 1000000000))
        || ((Z2_1 <= -1000000000) || (Z2_1 >= 1000000000))
        || ((A3_1 <= -1000000000) || (A3_1 >= 1000000000))
        || ((B3_1 <= -1000000000) || (B3_1 >= 1000000000))
        || ((C3_1 <= -1000000000) || (C3_1 >= 1000000000))
        || ((F3_1 <= -1000000000) || (F3_1 >= 1000000000))
        || ((A_2 <= -1000000000) || (A_2 >= 1000000000))
        || ((G_2 <= -1000000000) || (G_2 >= 1000000000))
        || ((H_2 <= -1000000000) || (H_2 >= 1000000000))
        || ((I_2 <= -1000000000) || (I_2 >= 1000000000))
        || ((J_2 <= -1000000000) || (J_2 >= 1000000000))
        || ((K_2 <= -1000000000) || (K_2 >= 1000000000))
        || ((L_2 <= -1000000000) || (L_2 >= 1000000000))
        || ((M_2 <= -1000000000) || (M_2 >= 1000000000))
        || ((N_2 <= -1000000000) || (N_2 >= 1000000000))
        || ((O_2 <= -1000000000) || (O_2 >= 1000000000))
        || ((P_2 <= -1000000000) || (P_2 >= 1000000000))
        || ((Q_2 <= -1000000000) || (Q_2 >= 1000000000))
        || ((S_2 <= -1000000000) || (S_2 >= 1000000000))
        || ((T_2 <= -1000000000) || (T_2 >= 1000000000))
        || ((W_2 <= -1000000000) || (W_2 >= 1000000000))
        || ((X_2 <= -1000000000) || (X_2 >= 1000000000))
        || ((Y_2 <= -1000000000) || (Y_2 >= 1000000000))
        || ((Z_2 <= -1000000000) || (Z_2 >= 1000000000))
        || ((A1_2 <= -1000000000) || (A1_2 >= 1000000000))
        || ((B1_2 <= -1000000000) || (B1_2 >= 1000000000))
        || ((C1_2 <= -1000000000) || (C1_2 >= 1000000000))
        || ((E1_2 <= -1000000000) || (E1_2 >= 1000000000))
        || ((F1_2 <= -1000000000) || (F1_2 >= 1000000000))
        || ((G1_2 <= -1000000000) || (G1_2 >= 1000000000))
        || ((H1_2 <= -1000000000) || (H1_2 >= 1000000000))
        || ((I1_2 <= -1000000000) || (I1_2 >= 1000000000))
        || ((J1_2 <= -1000000000) || (J1_2 >= 1000000000))
        || ((K1_2 <= -1000000000) || (K1_2 >= 1000000000))
        || ((L1_2 <= -1000000000) || (L1_2 >= 1000000000))
        || ((M1_2 <= -1000000000) || (M1_2 >= 1000000000))
        || ((P1_2 <= -1000000000) || (P1_2 >= 1000000000)))
        abort ();

    // main logic
    goto main_init;

  main_init:
    if (!
        (((O1_0 && D1_0 && (!(E1_0 <= 0)) && (!(10 <= F1_0))) == V_0)
         && (R_0 == (((!B_0) || (!F_0)) && (Q_0 <= 32767) && (P_0 <= 32767)))
         && (R_0 == D1_0) && (!(N1_0 == O1_0)) && (X_0 == W_0) && (J_0 == I_0)
         && (J_0 == A1_0) && (I_0 == X_0) && (K_0 == 0) && (K_0 == Z_0)
         && (M_0 == L_0) && (M_0 == J_0) && (N_0 == 0) && (N_0 == B1_0)
         && (O_0 == 0) && (O_0 == C1_0) && (S_0 == L_0) && (S_0 == E1_0)
         && (T_0 == L_0) && (T_0 == F1_0) && (Z_0 == Y_0) && (B1_0 == P_0)
         && (C1_0 == Q_0) && ((!F_0) || (H_0 == G_0)) && (N1_0
                                                          || (H1_0 == G1_0))
         && ((!N1_0) || (M1_0 == L1_0)) && ((!N1_0) || (G1_0 == I1_0)) && (B_0
                                                                           ||
                                                                           (H1_0
                                                                            ==
                                                                            J1_0))
         && ((!B_0) || (H1_0 == K1_0)) && ((!B_0) || (A_0 == P1_0))
         && (((!V_0) || (0 <= P_0)) == U_0)))
        abort ();
    state_0 = T_0;
    state_1 = F1_0;
    state_2 = S_0;
    state_3 = E1_0;
    state_4 = R_0;
    state_5 = D1_0;
    state_6 = O_0;
    state_7 = C1_0;
    state_8 = N_0;
    state_9 = B1_0;
    state_10 = M_0;
    state_11 = J_0;
    state_12 = K_0;
    state_13 = Z_0;
    state_14 = I_0;
    state_15 = X_0;
    state_16 = H1_0;
    state_17 = K1_0;
    state_18 = B_0;
    state_19 = J1_0;
    state_20 = G1_0;
    state_21 = I1_0;
    state_22 = N1_0;
    state_23 = O1_0;
    state_24 = V_0;
    state_25 = Q_0;
    state_26 = P_0;
    state_27 = A1_0;
    state_28 = Y_0;
    state_29 = W_0;
    state_30 = U_0;
    state_31 = L_0;
    state_32 = F_0;
    state_33 = H_0;
    state_34 = G_0;
    state_35 = A_0;
    state_36 = P1_0;
    state_37 = M1_0;
    state_38 = L1_0;
    state_39 = C_0;
    state_40 = D_0;
    state_41 = E_0;
    Q1_1 = __VERIFIER_nondet_int ();
    if (((Q1_1 <= -1000000000) || (Q1_1 >= 1000000000)))
        abort ();
    Q2_1 = __VERIFIER_nondet_int ();
    if (((Q2_1 <= -1000000000) || (Q2_1 >= 1000000000)))
        abort ();
    M1_1 = __VERIFIER_nondet_int ();
    if (((M1_1 <= -1000000000) || (M1_1 >= 1000000000)))
        abort ();
    M2_1 = __VERIFIER_nondet_int ();
    if (((M2_1 <= -1000000000) || (M2_1 >= 1000000000)))
        abort ();
    I2_1 = __VERIFIER_nondet_int ();
    if (((I2_1 <= -1000000000) || (I2_1 >= 1000000000)))
        abort ();
    E2_1 = __VERIFIER_nondet_int ();
    if (((E2_1 <= -1000000000) || (E2_1 >= 1000000000)))
        abort ();
    A2_1 = __VERIFIER_nondet_int ();
    if (((A2_1 <= -1000000000) || (A2_1 >= 1000000000)))
        abort ();
    A3_1 = __VERIFIER_nondet_int ();
    if (((A3_1 <= -1000000000) || (A3_1 >= 1000000000)))
        abort ();
    Z1_1 = __VERIFIER_nondet__Bool ();
    Z2_1 = __VERIFIER_nondet_int ();
    if (((Z2_1 <= -1000000000) || (Z2_1 >= 1000000000)))
        abort ();
    V1_1 = __VERIFIER_nondet_int ();
    if (((V1_1 <= -1000000000) || (V1_1 >= 1000000000)))
        abort ();
    V2_1 = __VERIFIER_nondet_int ();
    if (((V2_1 <= -1000000000) || (V2_1 >= 1000000000)))
        abort ();
    R1_1 = __VERIFIER_nondet__Bool ();
    R2_1 = __VERIFIER_nondet_int ();
    if (((R2_1 <= -1000000000) || (R2_1 >= 1000000000)))
        abort ();
    N1_1 = __VERIFIER_nondet__Bool ();
    N2_1 = __VERIFIER_nondet__Bool ();
    J2_1 = __VERIFIER_nondet_int ();
    if (((J2_1 <= -1000000000) || (J2_1 >= 1000000000)))
        abort ();
    F2_1 = __VERIFIER_nondet_int ();
    if (((F2_1 <= -1000000000) || (F2_1 >= 1000000000)))
        abort ();
    B2_1 = __VERIFIER_nondet__Bool ();
    W1_1 = __VERIFIER_nondet__Bool ();
    W2_1 = __VERIFIER_nondet_int ();
    if (((W2_1 <= -1000000000) || (W2_1 >= 1000000000)))
        abort ();
    S1_1 = __VERIFIER_nondet_int ();
    if (((S1_1 <= -1000000000) || (S1_1 >= 1000000000)))
        abort ();
    S2_1 = __VERIFIER_nondet_int ();
    if (((S2_1 <= -1000000000) || (S2_1 >= 1000000000)))
        abort ();
    O1_1 = __VERIFIER_nondet_int ();
    if (((O1_1 <= -1000000000) || (O1_1 >= 1000000000)))
        abort ();
    O2_1 = __VERIFIER_nondet__Bool ();
    F_1 = __VERIFIER_nondet_int ();
    if (((F_1 <= -1000000000) || (F_1 >= 1000000000)))
        abort ();
    K2_1 = __VERIFIER_nondet__Bool ();
    G2_1 = __VERIFIER_nondet_int ();
    if (((G2_1 <= -1000000000) || (G2_1 >= 1000000000)))
        abort ();
    C2_1 = __VERIFIER_nondet_int ();
    if (((C2_1 <= -1000000000) || (C2_1 >= 1000000000)))
        abort ();
    X1_1 = __VERIFIER_nondet_int ();
    if (((X1_1 <= -1000000000) || (X1_1 >= 1000000000)))
        abort ();
    X2_1 = __VERIFIER_nondet__Bool ();
    T1_1 = __VERIFIER_nondet_int ();
    if (((T1_1 <= -1000000000) || (T1_1 >= 1000000000)))
        abort ();
    T2_1 = __VERIFIER_nondet_int ();
    if (((T2_1 <= -1000000000) || (T2_1 >= 1000000000)))
        abort ();
    P1_1 = __VERIFIER_nondet__Bool ();
    P2_1 = __VERIFIER_nondet_int ();
    if (((P2_1 <= -1000000000) || (P2_1 >= 1000000000)))
        abort ();
    L2_1 = __VERIFIER_nondet_int ();
    if (((L2_1 <= -1000000000) || (L2_1 >= 1000000000)))
        abort ();
    H2_1 = __VERIFIER_nondet_int ();
    if (((H2_1 <= -1000000000) || (H2_1 >= 1000000000)))
        abort ();
    D2_1 = __VERIFIER_nondet_int ();
    if (((D2_1 <= -1000000000) || (D2_1 >= 1000000000)))
        abort ();
    Y1_1 = __VERIFIER_nondet_int ();
    if (((Y1_1 <= -1000000000) || (Y1_1 >= 1000000000)))
        abort ();
    Y2_1 = __VERIFIER_nondet_int ();
    if (((Y2_1 <= -1000000000) || (Y2_1 >= 1000000000)))
        abort ();
    U1_1 = __VERIFIER_nondet__Bool ();
    U2_1 = __VERIFIER_nondet_int ();
    if (((U2_1 <= -1000000000) || (U2_1 >= 1000000000)))
        abort ();
    U_1 = state_0;
    G1_1 = state_1;
    T_1 = state_2;
    F1_1 = state_3;
    S_1 = state_4;
    E1_1 = state_5;
    P_1 = state_6;
    D1_1 = state_7;
    O_1 = state_8;
    C1_1 = state_9;
    N_1 = state_10;
    K_1 = state_11;
    L_1 = state_12;
    A1_1 = state_13;
    J_1 = state_14;
    Y_1 = state_15;
    I1_1 = state_16;
    L1_1 = state_17;
    B_1 = state_18;
    K1_1 = state_19;
    H1_1 = state_20;
    J1_1 = state_21;
    D3_1 = state_22;
    E3_1 = state_23;
    W_1 = state_24;
    R_1 = state_25;
    Q_1 = state_26;
    B1_1 = state_27;
    Z_1 = state_28;
    X_1 = state_29;
    V_1 = state_30;
    M_1 = state_31;
    G_1 = state_32;
    I_1 = state_33;
    H_1 = state_34;
    A_1 = state_35;
    F3_1 = state_36;
    C3_1 = state_37;
    B3_1 = state_38;
    C_1 = state_39;
    D_1 = state_40;
    E_1 = state_41;
    if (!
        (((1 <= A1_1) == B2_1) && ((1 <= Y_1) == W1_1)
         && (((!O2_1) || (0 <= I2_1)) == N2_1)
         && (((!W_1) || (0 <= Q_1)) == V_1)
         && ((X2_1 && P1_1 && (!(Y2_1 <= 0)) && (!(10 <= Z2_1))) == O2_1)
         && ((E1_1 && E3_1 && (!(F1_1 <= 0)) && (!(10 <= G1_1))) == W_1)
         && (K2_1 ==
             (E1_1 && ((!U1_1) || (!R1_1)) && (J2_1 <= 32767)
              && (I2_1 <= 32767))) && (X2_1 == K2_1) && (S_1 == E1_1)
         && (C2_1 == M1_1) && (E2_1 == D2_1) && (G2_1 == Q1_1)
         && (H2_1 == T1_1) && (Q2_1 == C2_1) && (Q2_1 == P2_1)
         && (S2_1 == E2_1) && (S2_1 == R2_1) && (U2_1 == F2_1)
         && (U2_1 == T2_1) && (V2_1 == G2_1) && (V2_1 == I2_1)
         && (W2_1 == H2_1) && (W2_1 == J2_1) && (Y2_1 == L2_1)
         && (Z2_1 == M2_1) && (G1_1 == M2_1) && (F1_1 == L2_1)
         && (D1_1 == R_1) && (C1_1 == Q_1) && (A1_1 == Z_1) && (Y_1 == X_1)
         && (U_1 == G1_1) && (T_1 == F1_1) && (P_1 == D1_1) && (O_1 == C1_1)
         && (N_1 == K_1) && (L_1 == A1_1) && (K_1 == F2_1) && (K_1 == B1_1)
         && (J_1 == Y_1) && (D3_1 || (I1_1 == H1_1)) && ((!D3_1)
                                                         || (H1_1 == J1_1))
         && ((!N1_1) || (M1_1 == O1_1)) && ((!N1_1) || (X1_1 == D2_1))
         && (N1_1 || (Y_1 == M1_1)) && (N1_1 || (A3_1 == D2_1)) && ((!R1_1)
                                                                    || (Q1_1
                                                                        ==
                                                                        S1_1))
         && ((!R1_1) || (Y1_1 == A3_1)) && (R1_1 || (C1_1 == Q1_1)) && (R1_1
                                                                        ||
                                                                        (A3_1
                                                                         ==
                                                                         A2_1))
         && ((!U1_1) || (T1_1 == V1_1)) && (U1_1 || (D1_1 == T1_1))
         && ((!W1_1) || ((A1_1 + (-1 * X1_1)) == -1)) && ((!W1_1)
                                                          ||
                                                          ((Y_1 +
                                                            (-1 * O1_1)) ==
                                                           1)) && (W1_1
                                                                   || (A1_1 ==
                                                                       X1_1))
         && (W1_1 || (Y_1 == O1_1)) && ((!Z1_1)
                                        || ((C1_1 + (-1 * S1_1)) == -1))
         && ((!Z1_1) || ((A1_1 + (-1 * Y1_1)) == 1)) && (Z1_1
                                                         || (C1_1 == S1_1))
         && (Z1_1 || (A1_1 == Y1_1)) && ((!B2_1)
                                         || ((D1_1 + (-1 * V1_1)) == -1))
         && ((!B2_1) || ((A1_1 + (-1 * A2_1)) == 1)) && (B2_1
                                                         || (D1_1 == V1_1))
         && (B2_1 || (A1_1 == A2_1)) && ((!B_1) || (I1_1 == L1_1)) && (B_1
                                                                       ||
                                                                       (I1_1
                                                                        ==
                                                                        K1_1))
         && P1_1 && ((1 <= A1_1) == Z1_1)))
        abort ();
    state_0 = M2_1;
    state_1 = Z2_1;
    state_2 = L2_1;
    state_3 = Y2_1;
    state_4 = K2_1;
    state_5 = X2_1;
    state_6 = H2_1;
    state_7 = W2_1;
    state_8 = G2_1;
    state_9 = V2_1;
    state_10 = F2_1;
    state_11 = U2_1;
    state_12 = E2_1;
    state_13 = S2_1;
    state_14 = C2_1;
    state_15 = Q2_1;
    state_16 = A3_1;
    state_17 = Y1_1;
    state_18 = R1_1;
    state_19 = A2_1;
    state_20 = D2_1;
    state_21 = X1_1;
    state_22 = N1_1;
    state_23 = P1_1;
    state_24 = O2_1;
    state_25 = J2_1;
    state_26 = I2_1;
    state_27 = T2_1;
    state_28 = R2_1;
    state_29 = P2_1;
    state_30 = N2_1;
    state_31 = F_1;
    state_32 = U1_1;
    state_33 = T1_1;
    state_34 = V1_1;
    state_35 = Q1_1;
    state_36 = S1_1;
    state_37 = M1_1;
    state_38 = O1_1;
    state_39 = W1_1;
    state_40 = Z1_1;
    state_41 = B2_1;
    goto state_0;
  main_error:
    reach_error ();
  main_final:
    goto main_final;
  state_0:
    switch (__VERIFIER_nondet__Bool ())
      {
      case 0:
          T_2 = state_0;
          F1_2 = state_1;
          S_2 = state_2;
          E1_2 = state_3;
          R_2 = state_4;
          D1_2 = state_5;
          O_2 = state_6;
          C1_2 = state_7;
          N_2 = state_8;
          B1_2 = state_9;
          M_2 = state_10;
          J_2 = state_11;
          K_2 = state_12;
          Z_2 = state_13;
          I_2 = state_14;
          X_2 = state_15;
          H1_2 = state_16;
          K1_2 = state_17;
          B_2 = state_18;
          J1_2 = state_19;
          G1_2 = state_20;
          I1_2 = state_21;
          N1_2 = state_22;
          O1_2 = state_23;
          V_2 = state_24;
          Q_2 = state_25;
          P_2 = state_26;
          A1_2 = state_27;
          Y_2 = state_28;
          W_2 = state_29;
          U_2 = state_30;
          L_2 = state_31;
          F_2 = state_32;
          H_2 = state_33;
          G_2 = state_34;
          A_2 = state_35;
          P1_2 = state_36;
          M1_2 = state_37;
          L1_2 = state_38;
          C_2 = state_39;
          D_2 = state_40;
          E_2 = state_41;
          if (!(!U_2))
              abort ();
          goto main_error;

      case 1:
          Q1_1 = __VERIFIER_nondet_int ();
          if (((Q1_1 <= -1000000000) || (Q1_1 >= 1000000000)))
              abort ();
          Q2_1 = __VERIFIER_nondet_int ();
          if (((Q2_1 <= -1000000000) || (Q2_1 >= 1000000000)))
              abort ();
          M1_1 = __VERIFIER_nondet_int ();
          if (((M1_1 <= -1000000000) || (M1_1 >= 1000000000)))
              abort ();
          M2_1 = __VERIFIER_nondet_int ();
          if (((M2_1 <= -1000000000) || (M2_1 >= 1000000000)))
              abort ();
          I2_1 = __VERIFIER_nondet_int ();
          if (((I2_1 <= -1000000000) || (I2_1 >= 1000000000)))
              abort ();
          E2_1 = __VERIFIER_nondet_int ();
          if (((E2_1 <= -1000000000) || (E2_1 >= 1000000000)))
              abort ();
          A2_1 = __VERIFIER_nondet_int ();
          if (((A2_1 <= -1000000000) || (A2_1 >= 1000000000)))
              abort ();
          A3_1 = __VERIFIER_nondet_int ();
          if (((A3_1 <= -1000000000) || (A3_1 >= 1000000000)))
              abort ();
          Z1_1 = __VERIFIER_nondet__Bool ();
          Z2_1 = __VERIFIER_nondet_int ();
          if (((Z2_1 <= -1000000000) || (Z2_1 >= 1000000000)))
              abort ();
          V1_1 = __VERIFIER_nondet_int ();
          if (((V1_1 <= -1000000000) || (V1_1 >= 1000000000)))
              abort ();
          V2_1 = __VERIFIER_nondet_int ();
          if (((V2_1 <= -1000000000) || (V2_1 >= 1000000000)))
              abort ();
          R1_1 = __VERIFIER_nondet__Bool ();
          R2_1 = __VERIFIER_nondet_int ();
          if (((R2_1 <= -1000000000) || (R2_1 >= 1000000000)))
              abort ();
          N1_1 = __VERIFIER_nondet__Bool ();
          N2_1 = __VERIFIER_nondet__Bool ();
          J2_1 = __VERIFIER_nondet_int ();
          if (((J2_1 <= -1000000000) || (J2_1 >= 1000000000)))
              abort ();
          F2_1 = __VERIFIER_nondet_int ();
          if (((F2_1 <= -1000000000) || (F2_1 >= 1000000000)))
              abort ();
          B2_1 = __VERIFIER_nondet__Bool ();
          W1_1 = __VERIFIER_nondet__Bool ();
          W2_1 = __VERIFIER_nondet_int ();
          if (((W2_1 <= -1000000000) || (W2_1 >= 1000000000)))
              abort ();
          S1_1 = __VERIFIER_nondet_int ();
          if (((S1_1 <= -1000000000) || (S1_1 >= 1000000000)))
              abort ();
          S2_1 = __VERIFIER_nondet_int ();
          if (((S2_1 <= -1000000000) || (S2_1 >= 1000000000)))
              abort ();
          O1_1 = __VERIFIER_nondet_int ();
          if (((O1_1 <= -1000000000) || (O1_1 >= 1000000000)))
              abort ();
          O2_1 = __VERIFIER_nondet__Bool ();
          F_1 = __VERIFIER_nondet_int ();
          if (((F_1 <= -1000000000) || (F_1 >= 1000000000)))
              abort ();
          K2_1 = __VERIFIER_nondet__Bool ();
          G2_1 = __VERIFIER_nondet_int ();
          if (((G2_1 <= -1000000000) || (G2_1 >= 1000000000)))
              abort ();
          C2_1 = __VERIFIER_nondet_int ();
          if (((C2_1 <= -1000000000) || (C2_1 >= 1000000000)))
              abort ();
          X1_1 = __VERIFIER_nondet_int ();
          if (((X1_1 <= -1000000000) || (X1_1 >= 1000000000)))
              abort ();
          X2_1 = __VERIFIER_nondet__Bool ();
          T1_1 = __VERIFIER_nondet_int ();
          if (((T1_1 <= -1000000000) || (T1_1 >= 1000000000)))
              abort ();
          T2_1 = __VERIFIER_nondet_int ();
          if (((T2_1 <= -1000000000) || (T2_1 >= 1000000000)))
              abort ();
          P1_1 = __VERIFIER_nondet__Bool ();
          P2_1 = __VERIFIER_nondet_int ();
          if (((P2_1 <= -1000000000) || (P2_1 >= 1000000000)))
              abort ();
          L2_1 = __VERIFIER_nondet_int ();
          if (((L2_1 <= -1000000000) || (L2_1 >= 1000000000)))
              abort ();
          H2_1 = __VERIFIER_nondet_int ();
          if (((H2_1 <= -1000000000) || (H2_1 >= 1000000000)))
              abort ();
          D2_1 = __VERIFIER_nondet_int ();
          if (((D2_1 <= -1000000000) || (D2_1 >= 1000000000)))
              abort ();
          Y1_1 = __VERIFIER_nondet_int ();
          if (((Y1_1 <= -1000000000) || (Y1_1 >= 1000000000)))
              abort ();
          Y2_1 = __VERIFIER_nondet_int ();
          if (((Y2_1 <= -1000000000) || (Y2_1 >= 1000000000)))
              abort ();
          U1_1 = __VERIFIER_nondet__Bool ();
          U2_1 = __VERIFIER_nondet_int ();
          if (((U2_1 <= -1000000000) || (U2_1 >= 1000000000)))
              abort ();
          U_1 = state_0;
          G1_1 = state_1;
          T_1 = state_2;
          F1_1 = state_3;
          S_1 = state_4;
          E1_1 = state_5;
          P_1 = state_6;
          D1_1 = state_7;
          O_1 = state_8;
          C1_1 = state_9;
          N_1 = state_10;
          K_1 = state_11;
          L_1 = state_12;
          A1_1 = state_13;
          J_1 = state_14;
          Y_1 = state_15;
          I1_1 = state_16;
          L1_1 = state_17;
          B_1 = state_18;
          K1_1 = state_19;
          H1_1 = state_20;
          J1_1 = state_21;
          D3_1 = state_22;
          E3_1 = state_23;
          W_1 = state_24;
          R_1 = state_25;
          Q_1 = state_26;
          B1_1 = state_27;
          Z_1 = state_28;
          X_1 = state_29;
          V_1 = state_30;
          M_1 = state_31;
          G_1 = state_32;
          I_1 = state_33;
          H_1 = state_34;
          A_1 = state_35;
          F3_1 = state_36;
          C3_1 = state_37;
          B3_1 = state_38;
          C_1 = state_39;
          D_1 = state_40;
          E_1 = state_41;
          if (!
              (((1 <= A1_1) == B2_1) && ((1 <= Y_1) == W1_1)
               && (((!O2_1) || (0 <= I2_1)) == N2_1)
               && (((!W_1) || (0 <= Q_1)) == V_1)
               && ((X2_1 && P1_1 && (!(Y2_1 <= 0)) && (!(10 <= Z2_1))) ==
                   O2_1) && ((E1_1 && E3_1 && (!(F1_1 <= 0))
                              && (!(10 <= G1_1))) == W_1) && (K2_1 == (E1_1
                                                                       &&
                                                                       ((!U1_1) || (!R1_1)) && (J2_1 <= 32767) && (I2_1 <= 32767))) && (X2_1 == K2_1) && (S_1 == E1_1) && (C2_1 == M1_1) && (E2_1 == D2_1) && (G2_1 == Q1_1) && (H2_1 == T1_1) && (Q2_1 == C2_1) && (Q2_1 == P2_1) && (S2_1 == E2_1) && (S2_1 == R2_1) && (U2_1 == F2_1) && (U2_1 == T2_1) && (V2_1 == G2_1) && (V2_1 == I2_1) && (W2_1 == H2_1) && (W2_1 == J2_1) && (Y2_1 == L2_1) && (Z2_1 == M2_1) && (G1_1 == M2_1) && (F1_1 == L2_1) && (D1_1 == R_1) && (C1_1 == Q_1) && (A1_1 == Z_1) && (Y_1 == X_1) && (U_1 == G1_1) && (T_1 == F1_1) && (P_1 == D1_1) && (O_1 == C1_1) && (N_1 == K_1) && (L_1 == A1_1) && (K_1 == F2_1) && (K_1 == B1_1) && (J_1 == Y_1) && (D3_1 || (I1_1 == H1_1)) && ((!D3_1) || (H1_1 == J1_1)) && ((!N1_1) || (M1_1 == O1_1)) && ((!N1_1) || (X1_1 == D2_1)) && (N1_1 || (Y_1 == M1_1)) && (N1_1 || (A3_1 == D2_1)) && ((!R1_1) || (Q1_1 == S1_1)) && ((!R1_1) || (Y1_1 == A3_1)) && (R1_1 || (C1_1 == Q1_1)) && (R1_1 || (A3_1 == A2_1)) && ((!U1_1) || (T1_1 == V1_1)) && (U1_1 || (D1_1 == T1_1)) && ((!W1_1) || ((A1_1 + (-1 * X1_1)) == -1)) && ((!W1_1) || ((Y_1 + (-1 * O1_1)) == 1)) && (W1_1 || (A1_1 == X1_1)) && (W1_1 || (Y_1 == O1_1)) && ((!Z1_1) || ((C1_1 + (-1 * S1_1)) == -1)) && ((!Z1_1) || ((A1_1 + (-1 * Y1_1)) == 1)) && (Z1_1 || (C1_1 == S1_1)) && (Z1_1 || (A1_1 == Y1_1)) && ((!B2_1) || ((D1_1 + (-1 * V1_1)) == -1)) && ((!B2_1) || ((A1_1 + (-1 * A2_1)) == 1)) && (B2_1 || (D1_1 == V1_1)) && (B2_1 || (A1_1 == A2_1)) && ((!B_1) || (I1_1 == L1_1)) && (B_1 || (I1_1 == K1_1)) && P1_1 && ((1 <= A1_1) == Z1_1)))
              abort ();
          state_0 = M2_1;
          state_1 = Z2_1;
          state_2 = L2_1;
          state_3 = Y2_1;
          state_4 = K2_1;
          state_5 = X2_1;
          state_6 = H2_1;
          state_7 = W2_1;
          state_8 = G2_1;
          state_9 = V2_1;
          state_10 = F2_1;
          state_11 = U2_1;
          state_12 = E2_1;
          state_13 = S2_1;
          state_14 = C2_1;
          state_15 = Q2_1;
          state_16 = A3_1;
          state_17 = Y1_1;
          state_18 = R1_1;
          state_19 = A2_1;
          state_20 = D2_1;
          state_21 = X1_1;
          state_22 = N1_1;
          state_23 = P1_1;
          state_24 = O2_1;
          state_25 = J2_1;
          state_26 = I2_1;
          state_27 = T2_1;
          state_28 = R2_1;
          state_29 = P2_1;
          state_30 = N2_1;
          state_31 = F_1;
          state_32 = U1_1;
          state_33 = T1_1;
          state_34 = V1_1;
          state_35 = Q1_1;
          state_36 = S1_1;
          state_37 = M1_1;
          state_38 = O1_1;
          state_39 = W1_1;
          state_40 = Z1_1;
          state_41 = B2_1;
          goto state_0;

      default:
          abort ();
      }

    // return expression

}

